---
title: "Get products in a collection"
description: "Get a list of products in a specific collection."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-products-in-a-collection'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-products-in-a-collection.md'
---
# Get products in a collection

Get a list of products in a specific collection. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/collections/:collection_id/products.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `collection_id`

  string (required)

  The unique identifier for the collection.
  <br/>Maximum length: 64

### Query Parameters

* `fields`

  string (optional)

  Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `products` object in the response. 

* `limit`

  string (optional)

  The quantity limit of products to be queried.  
  <br/>Value range: 1-250  
  <br/>Default Value: 50  

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `products`

  array<object>

  A list of products.

  * `status`

    string

    The status of the product. Valid values are:
    - `active`: products on shelves
    - `draft`: products off shelves
    - `archived`: products archiving

  * `updated_at`

    string

    The date and time when the product was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `variants`

    array<object>

    A list of product variants.

    * `inventory_quantity`

      integer

      The total inventory quantity at all storage locations.

    * `option2`

      string

      Information of the second option of the variant.

    * `option3`

      string

      Information of the third option of the variant.

    * `required_shipping`

      boolean

      Indicates whether the variant is required to be shipped.
      - `true`: Shipping is required.
      - `false`: Shipping is not required.

    * `taxable`

      boolean

      Indicates whether the variant is subject to tax.
      - `true`: Tax is required.
      - `false`: Tax is not required.

    * `weight_unit`

      string

      The unit of weight for the variant. Valid values are:
      - `g`: gram
      - `kg`: kilogram
      - `lb`: pound
      - `oz`: ounce
      - `zh_kg`: kilogram

    * `barcode`

      string

      The barcode of the variant.

    * `inventory_item_id`

      string

      The unique identifier for the inventory item.

    * `inventory_tracker`

      boolean

      Indicates whether the inventory tracking is enabled.
      - ` true`: Inventory tracking is enabled.
      - ` false`: Inventory tracking is not enabled.

    * `option5`

      string

      Information of the fifth option of the variant.

    * `position`

      integer

      The ordering position of the variant within the variant list. 

    * `compare_at_price`

      string

      The original price of the variant. The value is rounded to two decimal places.

    * `id`

      string

      The unique identifier for the variant.

    * `image`

      object

      The image of the variant.

      * `alt`

        string

        The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.

      * `src`

        string

        The link to the variant image, represented as a URL.

    * `inventory_policy`

      string

      Indicates whether the variant is allowed to be oversold.
      - `deny`: Does not allow overselling.
      - `continue`: Allow overselling.

    * `option1`

      string

      Information of the first option of the variant.

    * `option4`

      string

      Information of the fourth option of the variant.

    * `price`

      string

      The selling price of the variant. The value is rounded to two decimal places.

    * `product_id`

      string

      The unique identifier for the product corresponding to the variant.

    * `sku`

      string

      The product SKU. It is distinct from `variants.id` returned by SHOPLINE.

    * `title`

      string

      The title of the variant, assembled from the option value of the variant.

    * `weight`

      string

      The weight of the variant. The value is rounded up if it exceeds two decimal places.

  * `spu`

    string

    The identifier customized for the product by the merchant. It is distinct from `products.id` returned by SHOPLINE.

  * `images`

    array<object>

    A list of product images.

    * `alt`

      string

      The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the product image, represented as a URL.

  * `path`

    string

    The relative path of the product page.

  * `title`

    string

    The title of the product.

  * `created_at`

    string

    The date and time when the product was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `image`

    object

    The cover image of the product.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `subtitle`

    string

    The subtitle of the product.

  * `tags`

    string

    A list of tags of the product.

  * `body_html`

    string

    The product description. 

  * `id`

    string

    The unique identifier for the product.

  * `options`

    array<object>

    A list of product options.

    * `id`

      string

      The unique identifier for the option.

    * `name`

      string

      The name of the option.

    * `product_id`

      string

      The unique identifier for the product corresponding to the option.

    * `values`

      array<string>

      A list of option values.

    * `values_images`

      map

      The mapping relationship between the option value and the corresponding image URL.

  * `product_behavior`

    string

    Used to identify the special behavior of the product. This field returns a value only under certain conditions. 
    
    For example, if the product has potential risks, the field returns a value. 

  * `published_at`

    string

    The date and time when the product was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `published_scope`

    string

    The published scope of product sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `template_path`

    string

    The theme template of the product.

  * `vendor`

    string

    The brand or vendor of the product.

  * `handle`

    string

    The semantically unique identifier for the product,
    which is generated based on `title` by default.

  * `product_type`

    string

    The source of the product. Valid values are:
    - `NORMAL` : products maintained in the SHOPLINE Admin
    - `POD_TEMPORARY` : temporary products in the Product Option Customizer&ProductBundler app
    - `TEMPORARY` : other temporary products


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get products in a collection"
  ],
  "description": "Get a list of products in a specific collection. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "2xr0uKI2",
  "parameters": [
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `products` object in the response. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `products` object in the response. ",
        "type": "string",
        "example": "title,id"
      },
      "example": "title,id",
      "examples": {
        "Get products in a collection": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "The quantity limit of products to be queried.  \n<br/>Value range: 1-250  \n<br/>Default Value: 50  ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The quantity limit of products to be queried.  \n<br/>Value range: 1-250  \n<br/>Default Value: 50  ",
        "type": "string"
      },
      "examples": {
        "Get products in a collection": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. For example, if the `link` value you obtained is `<https://\\{handle\\}.myshopline.com/admin/openapi/\\{version\\}/products/products.json? limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`.\n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get products in a collection": {
          "value": ""
        }
      }
    },
    {
      "name": "collection_id",
      "in": "path",
      "description": "The unique identifier for the collection.\n<br/>Maximum length: 64",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "collection_id",
        "description": "The unique identifier for the collection.\n<br/>Maximum length: 64",
        "type": "string",
        "example": "16050375155238626683133099"
      },
      "example": "16050375155238626683133099",
      "examples": {
        "Get products in a collection": {
          "value": "12261186277836500577262340"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/collections/:collection_id/products.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "products": {
                "name": "products",
                "description": "A list of products.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "name": "status",
                      "description": "The status of the product. Valid values are:\n- `active`: products on shelves\n- `draft`: products off shelves\n- `archived`: products archiving",
                      "type": "string"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "The date and time when the product was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "variants": {
                      "name": "variants",
                      "description": "A list of product variants.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "inventory_quantity": {
                            "name": "inventory_quantity",
                            "description": "The total inventory quantity at all storage locations.",
                            "type": "integer",
                            "example": 99
                          },
                          "option2": {
                            "name": "option2",
                            "description": "Information of the second option of the variant.",
                            "type": "string",
                            "example": "xl"
                          },
                          "option3": {
                            "name": "option3",
                            "description": "Information of the third option of the variant.",
                            "type": "string",
                            "example": "cotton"
                          },
                          "required_shipping": {
                            "name": "required_shipping",
                            "description": "Indicates whether the variant is required to be shipped.\n- `true`: Shipping is required.\n- `false`: Shipping is not required.",
                            "type": "boolean"
                          },
                          "taxable": {
                            "name": "taxable",
                            "description": "Indicates whether the variant is subject to tax.\n- `true`: Tax is required.\n- `false`: Tax is not required.",
                            "type": "boolean"
                          },
                          "weight_unit": {
                            "name": "weight_unit",
                            "description": "The unit of weight for the variant. Valid values are:\n- `g`: gram\n- `kg`: kilogram\n- `lb`: pound\n- `oz`: ounce\n- `zh_kg`: kilogram",
                            "type": "string"
                          },
                          "barcode": {
                            "name": "barcode",
                            "description": "The barcode of the variant.",
                            "type": "string",
                            "example": "T0000001"
                          },
                          "inventory_item_id": {
                            "name": "inventory_item_id",
                            "description": "The unique identifier for the inventory item.",
                            "type": "string",
                            "example": "5785060242375689228"
                          },
                          "inventory_tracker": {
                            "name": "inventory_tracker",
                            "description": "Indicates whether the inventory tracking is enabled.\n- ` true`: Inventory tracking is enabled.\n- ` false`: Inventory tracking is not enabled.",
                            "type": "boolean"
                          },
                          "option5": {
                            "name": "option5",
                            "description": "Information of the fifth option of the variant.",
                            "type": "string",
                            "example": "casual"
                          },
                          "position": {
                            "name": "position",
                            "description": "The ordering position of the variant within the variant list. ",
                            "type": "integer",
                            "example": 1
                          },
                          "compare_at_price": {
                            "name": "compare_at_price",
                            "description": "The original price of the variant. The value is rounded to two decimal places.",
                            "type": "string",
                            "example": "129.99"
                          },
                          "id": {
                            "name": "id",
                            "description": "The unique identifier for the variant.",
                            "type": "string",
                            "example": "18057850264851626133510282"
                          },
                          "image": {
                            "name": "image",
                            "description": "The image of the variant.",
                            "type": "object",
                            "properties": {
                              "alt": {
                                "name": "alt",
                                "description": "The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.",
                                "type": "string",
                                "example": "This is an image alt."
                              },
                              "src": {
                                "name": "src",
                                "description": "The link to the variant image, represented as a URL.",
                                "type": "string",
                                "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                              }
                            },
                            "example": {
                              "alt": "This is an image alt.",
                              "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          },
                          "inventory_policy": {
                            "name": "inventory_policy",
                            "description": "Indicates whether the variant is allowed to be oversold.\n- `deny`: Does not allow overselling.\n- `continue`: Allow overselling.",
                            "type": "string"
                          },
                          "option1": {
                            "name": "option1",
                            "description": "Information of the first option of the variant.",
                            "type": "string",
                            "example": "red"
                          },
                          "option4": {
                            "name": "option4",
                            "description": "Information of the fourth option of the variant.",
                            "type": "string",
                            "example": "short"
                          },
                          "price": {
                            "name": "price",
                            "description": "The selling price of the variant. The value is rounded to two decimal places.",
                            "type": "string",
                            "example": "90.22"
                          },
                          "product_id": {
                            "name": "product_id",
                            "description": "The unique identifier for the product corresponding to the variant.",
                            "type": "string",
                            "example": "16057850264845250791280282"
                          },
                          "sku": {
                            "name": "sku",
                            "description": "The product SKU. It is distinct from `variants.id` returned by SHOPLINE.",
                            "type": "string",
                            "example": "S000000001"
                          },
                          "title": {
                            "name": "title",
                            "description": "The title of the variant, assembled from the option value of the variant.",
                            "type": "string",
                            "example": "red · xl"
                          },
                          "weight": {
                            "name": "weight",
                            "description": "The weight of the variant. The value is rounded up if it exceeds two decimal places.",
                            "type": "string",
                            "example": "0.23"
                          }
                        },
                        "example": {
                          "inventory_policy": null,
                          "inventory_tracker": null,
                          "sku": "S000000001",
                          "taxable": null,
                          "option4": "short",
                          "barcode": "T0000001",
                          "id": "18057850264851626133510282",
                          "image": {
                            "alt": "This is an image alt.",
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "inventory_item_id": "5785060242375689228",
                          "option1": "red",
                          "option2": "xl",
                          "option3": "cotton",
                          "inventory_quantity": 99,
                          "option5": "casual",
                          "required_shipping": null,
                          "title": "red · xl",
                          "weight": "0.23",
                          "position": 1,
                          "compare_at_price": "129.99",
                          "price": "90.22",
                          "product_id": "16057850264845250791280282",
                          "weight_unit": null
                        }
                      },
                      "example": [
                        {
                          "weight": "0.23",
                          "barcode": "T0000001",
                          "id": "18057850264851626133510282",
                          "inventory_policy": null,
                          "inventory_tracker": null,
                          "option1": "red",
                          "option3": "cotton",
                          "compare_at_price": "129.99",
                          "option2": "xl",
                          "option5": "casual",
                          "position": 1,
                          "price": "90.22",
                          "product_id": "16057850264845250791280282",
                          "required_shipping": null,
                          "sku": "S000000001",
                          "inventory_item_id": "5785060242375689228",
                          "inventory_quantity": 99,
                          "option4": "short",
                          "weight_unit": null,
                          "image": {
                            "alt": "This is an image alt.",
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "taxable": null,
                          "title": "red · xl"
                        }
                      ]
                    },
                    "spu": {
                      "name": "spu",
                      "description": "The identifier customized for the product by the merchant. It is distinct from `products.id` returned by SHOPLINE.",
                      "type": "string",
                      "example": "S0000001"
                    },
                    "images": {
                      "name": "images",
                      "description": "A list of product images.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "alt": {
                            "name": "alt",
                            "description": "The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.",
                            "type": "string",
                            "example": "This is an image alt."
                          },
                          "src": {
                            "name": "src",
                            "description": "The link to the product image, represented as a URL.",
                            "type": "string",
                            "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        },
                        "example": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": [
                        {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      ]
                    },
                    "path": {
                      "name": "path",
                      "description": "The relative path of the product page.",
                      "type": "string",
                      "example": "/products/clothes"
                    },
                    "title": {
                      "name": "title",
                      "description": "The title of the product.",
                      "type": "string",
                      "example": "This is a Product title"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "The date and time when the product was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "image": {
                      "name": "image",
                      "description": "The cover image of the product.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt."
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "subtitle": {
                      "name": "subtitle",
                      "description": "The subtitle of the product.",
                      "type": "string",
                      "example": "This is a subtitle"
                    },
                    "tags": {
                      "name": "tags",
                      "description": "A list of tags of the product.",
                      "type": "string",
                      "example": "tag1, tag2"
                    },
                    "body_html": {
                      "name": "body_html",
                      "description": "The product description. ",
                      "type": "string"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the product.",
                      "type": "string",
                      "example": "16057850264845250791280282"
                    },
                    "options": {
                      "name": "options",
                      "description": "A list of product options.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "name": "id",
                            "description": "The unique identifier for the option.",
                            "type": "string",
                            "example": "16158068291703878544960282"
                          },
                          "name": {
                            "name": "name",
                            "description": "The name of the option.",
                            "type": "string",
                            "example": "Color"
                          },
                          "product_id": {
                            "name": "product_id",
                            "description": "The unique identifier for the product corresponding to the option.",
                            "type": "string",
                            "example": "16057850264845250791280282"
                          },
                          "values": {
                            "name": "values",
                            "description": "A list of option values.",
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "[\"red\", \"green\", \"white\"]"
                            },
                            "example": [
                              "[\"red\", \"green\", \"white\"]"
                            ]
                          },
                          "values_images": {
                            "name": "values_images",
                            "description": "The mapping relationship between the option value and the corresponding image URL.",
                            "type": "map",
                            "example": {
                              "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          }
                        },
                        "example": {
                          "id": "16158068291703878544960282",
                          "name": "Color",
                          "product_id": "16057850264845250791280282",
                          "values": [
                            "[\"red\", \"green\", \"white\"]"
                          ],
                          "values_images": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        }
                      },
                      "example": [
                        {
                          "values": [
                            "[\"red\", \"green\", \"white\"]"
                          ],
                          "values_images": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          },
                          "id": "16158068291703878544960282",
                          "name": "Color",
                          "product_id": "16057850264845250791280282"
                        }
                      ]
                    },
                    "product_behavior": {
                      "name": "product_behavior",
                      "description": "Used to identify the special behavior of the product. This field returns a value only under certain conditions. \n\nFor example, if the product has potential risks, the field returns a value. ",
                      "type": "string",
                      "example": "RISK,HIDDEN"
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "The date and time when the product was published to the online store. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2025-03-06T02:20:26+08:00"
                    },
                    "published_scope": {
                      "name": "published_scope",
                      "description": "The published scope of product sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                      "type": "string"
                    },
                    "template_path": {
                      "name": "template_path",
                      "description": "The theme template of the product.",
                      "type": "string",
                      "example": "templates/product.product_template_name.json"
                    },
                    "vendor": {
                      "name": "vendor",
                      "description": "The brand or vendor of the product.",
                      "type": "string",
                      "example": "SHOPLINE"
                    },
                    "handle": {
                      "name": "handle",
                      "description": "The semantically unique identifier for the product,\nwhich is generated based on `title` by default.",
                      "type": "string",
                      "example": "product-handle"
                    },
                    "product_type": {
                      "name": "product_type",
                      "description": "The source of the product. Valid values are:\n- `NORMAL` : products maintained in the SHOPLINE Admin\n- `POD_TEMPORARY` : temporary products in the Product Option Customizer&ProductBundler app\n- `TEMPORARY` : other temporary products",
                      "type": "string"
                    }
                  },
                  "example": {
                    "product_behavior": "RISK,HIDDEN",
                    "status": null,
                    "created_at": "2025-03-06T02:20:26+08:00",
                    "image": {
                      "alt": "This is an image alt.",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "images": [
                      {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    ],
                    "published_at": "2025-03-06T02:20:26+08:00",
                    "subtitle": "This is a subtitle",
                    "template_path": "templates/product.product_template_name.json",
                    "title": "This is a Product title",
                    "variants": [
                      {
                        "compare_at_price": "129.99",
                        "inventory_item_id": "5785060242375689228",
                        "inventory_policy": null,
                        "inventory_quantity": 99,
                        "option1": "red",
                        "option2": "xl",
                        "option3": "cotton",
                        "option5": "casual",
                        "id": "18057850264851626133510282",
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_tracker": null,
                        "option4": "short",
                        "required_shipping": null,
                        "title": "red · xl",
                        "barcode": "T0000001",
                        "sku": "S000000001",
                        "taxable": null,
                        "weight": "0.23",
                        "position": 1,
                        "price": "90.22",
                        "product_id": "16057850264845250791280282",
                        "weight_unit": null
                      }
                    ],
                    "handle": "product-handle",
                    "options": [
                      {
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "[\"red\", \"green\", \"white\"]"
                        ]
                      }
                    ],
                    "product_type": null,
                    "spu": "S0000001",
                    "tags": "tag1, tag2",
                    "id": "16057850264845250791280282",
                    "published_scope": null,
                    "updated_at": "2025-03-06T02:20:26+08:00",
                    "vendor": "SHOPLINE",
                    "body_html": null,
                    "path": "/products/clothes"
                  }
                },
                "example": [
                  {
                    "id": "16057850264845250791280282",
                    "images": [
                      {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    ],
                    "published_at": "2025-03-06T02:20:26+08:00",
                    "status": null,
                    "template_path": "templates/product.product_template_name.json",
                    "variants": [
                      {
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_policy": null,
                        "option5": "casual",
                        "position": 1,
                        "product_id": "16057850264845250791280282",
                        "taxable": null,
                        "title": "red · xl",
                        "weight": "0.23",
                        "inventory_quantity": 99,
                        "inventory_tracker": null,
                        "option2": "xl",
                        "option3": "cotton",
                        "price": "90.22",
                        "compare_at_price": "129.99",
                        "weight_unit": null,
                        "barcode": "T0000001",
                        "id": "18057850264851626133510282",
                        "inventory_item_id": "5785060242375689228",
                        "option1": "red",
                        "option4": "short",
                        "required_shipping": null,
                        "sku": "S000000001"
                      }
                    ],
                    "handle": "product-handle",
                    "image": {
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png",
                      "alt": "This is an image alt."
                    },
                    "tags": "tag1, tag2",
                    "updated_at": "2025-03-06T02:20:26+08:00",
                    "subtitle": "This is a subtitle",
                    "title": "This is a Product title",
                    "vendor": "SHOPLINE",
                    "created_at": "2025-03-06T02:20:26+08:00",
                    "options": [
                      {
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "[\"red\", \"green\", \"white\"]"
                        ],
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      }
                    ],
                    "path": "/products/clothes",
                    "product_behavior": "RISK,HIDDEN",
                    "product_type": null,
                    "published_scope": null,
                    "spu": "S0000001",
                    "body_html": null
                  }
                ]
              }
            },
            "example": {
              "products": [
                {
                  "body_html": null,
                  "handle": "product-handle",
                  "id": "16057850264845250791280282",
                  "image": {
                    "alt": "This is an image alt.",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "path": "/products/clothes",
                  "published_at": "2025-03-06T02:20:26+08:00",
                  "spu": "S0000001",
                  "tags": "tag1, tag2",
                  "images": [
                    {
                      "alt": "This is an image alt.",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  ],
                  "options": [
                    {
                      "id": "16158068291703878544960282",
                      "name": "Color",
                      "product_id": "16057850264845250791280282",
                      "values": [
                        "[\"red\", \"green\", \"white\"]"
                      ],
                      "values_images": {
                        "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    }
                  ],
                  "product_type": null,
                  "published_scope": null,
                  "template_path": "templates/product.product_template_name.json",
                  "updated_at": "2025-03-06T02:20:26+08:00",
                  "variants": [
                    {
                      "weight": "0.23",
                      "image": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      },
                      "inventory_policy": null,
                      "inventory_tracker": null,
                      "option1": "red",
                      "option3": "cotton",
                      "product_id": "16057850264845250791280282",
                      "required_shipping": null,
                      "taxable": null,
                      "id": "18057850264851626133510282",
                      "option2": "xl",
                      "price": "90.22",
                      "sku": "S000000001",
                      "title": "red · xl",
                      "weight_unit": null,
                      "inventory_item_id": "5785060242375689228",
                      "option4": "short",
                      "option5": "casual",
                      "barcode": "T0000001",
                      "compare_at_price": "129.99",
                      "inventory_quantity": 99,
                      "position": 1
                    }
                  ],
                  "product_behavior": "RISK,HIDDEN",
                  "subtitle": "This is a subtitle",
                  "title": "This is a Product title",
                  "created_at": "2025-03-06T02:20:26+08:00",
                  "status": null,
                  "vendor": "SHOPLINE"
                }
              ]
            }
          },
          "examples": {
            "Get products in a collection": {
              "description": "Get products in a collection.",
              "value": {
                "products": [
                  {
                    "published_scope": "web",
                    "subtitle": "This is a subtitle",
                    "updated_at": "2023-08-28T19:26:10+08:00",
                    "vendor": "Shopline",
                    "created_at": "2023-06-12T17:45:43+08:00",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [
                      {
                        "id": "16159766321249077818763144",
                        "name": "Size",
                        "product_id": "16059766321245219059003144",
                        "values": [
                          "L"
                        ],
                        "values_images": {}
                      },
                      {
                        "id": "16159766321249077818793144",
                        "name": "Color",
                        "product_id": "16059766321245219059003144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "product_type": "NORMAL",
                    "published_at": "2023-06-12T17:45:43+08:00",
                    "spu": "S000000001",
                    "tags": "T shirt,Spring",
                    "body_html": "<p>This is a desription</p>",
                    "id": "16059766321245219059003144",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "This is a alt"
                    },
                    "product_behavior": "",
                    "status": "active",
                    "template_path": "templates/products/detail.html",
                    "title": "My Product 1",
                    "variants": [
                      {
                        "compare_at_price": "120.00",
                        "id": "18059766321249077818743144",
                        "inventory_tracker": true,
                        "option2": "White",
                        "price": "100.00",
                        "required_shipping": true,
                        "barcode": "T00000001",
                        "inventory_item_id": "5976632126082151706",
                        "inventory_policy": "continue",
                        "inventory_quantity": 580,
                        "position": 1,
                        "product_id": "16059766321245219059003144",
                        "title": "L · White",
                        "weight": "10.00",
                        "weight_unit": "g",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option1": "L",
                        "sku": "S00000000101",
                        "taxable": true
                      }
                    ],
                    "handle": "t-shop-1"
                  },
                  {
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "product_type": "NORMAL",
                    "spu": "S000000001",
                    "title": "My Product 23",
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:52:10+08:00",
                    "id": "16060878916899800731963144",
                    "images": [
                      {
                        "alt": "This is a image alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:52:10+08:00",
                    "tags": "Spring,T shirt",
                    "vendor": "Shopline",
                    "options": [
                      {
                        "product_id": "16060878916899800731963144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {},
                        "id": "16160878916903491719563144",
                        "name": "Size"
                      },
                      {
                        "values_images": {},
                        "id": "16160878916903491719593144",
                        "name": "Color",
                        "product_id": "16060878916899800731963144",
                        "values": [
                          "White"
                        ]
                      }
                    ],
                    "subtitle": "This is a subtitle",
                    "template_path": "templates/products/detail.html",
                    "status": "active",
                    "handle": "my-product-23",
                    "published_scope": "web",
                    "updated_at": "2023-08-28T15:14:39+08:00",
                    "variants": [
                      {
                        "inventory_item_id": "6087891691791978273",
                        "taxable": true,
                        "title": "L · White",
                        "weight_unit": "g",
                        "id": "18060878916903491719543144",
                        "inventory_tracker": true,
                        "option1": "L",
                        "option2": "White",
                        "price": "100.00",
                        "required_shipping": true,
                        "sku": "S00000000101",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "This is a image alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_quantity": 580,
                        "weight": "10.00",
                        "barcode": "T00000001",
                        "inventory_policy": "continue",
                        "position": 1,
                        "product_id": "16060878916899800731963144"
                      },
                      {
                        "id": "18060878916903491719633144",
                        "inventory_policy": "deny",
                        "barcode": "B0000000001",
                        "inventory_quantity": 100,
                        "sku": "S00000000102",
                        "weight": "50.00",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option1": "XL",
                        "option2": "White",
                        "position": 2,
                        "weight_unit": "g",
                        "inventory_item_id": "6087891691791978274",
                        "inventory_tracker": true,
                        "price": "100.00",
                        "product_id": "16060878916899800731963144",
                        "required_shipping": true,
                        "taxable": true,
                        "title": "XL · White",
                        "compare_at_price": "120.00"
                      },
                      {
                        "price": "100.00",
                        "sku": "S00000000103",
                        "inventory_policy": "deny",
                        "inventory_quantity": 170,
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "weight": "50.00",
                        "id": "18060878916903491719693144",
                        "inventory_item_id": "6087891691791978272",
                        "option1": "XXL",
                        "option2": "White",
                        "taxable": true,
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "position": 3,
                        "product_id": "16060878916899800731963144",
                        "title": "XXL · White"
                      }
                    ]
                  },
                  {
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T15:12:18+08:00",
                    "product_type": "NORMAL",
                    "variants": [
                      {
                        "inventory_tracker": true,
                        "option1": "White",
                        "price": "100.00",
                        "required_shipping": true,
                        "title": "White",
                        "compare_at_price": "120.00",
                        "taxable": true,
                        "id": "18060878906569901176473144",
                        "image": {
                          "alt": "Seo Title",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                        },
                        "product_id": "16060878906566210188893144",
                        "weight": "10.00",
                        "barcode": "T00000001",
                        "inventory_quantity": 580,
                        "position": 1,
                        "sku": "S00000000101",
                        "weight_unit": "g",
                        "inventory_item_id": "6087890657963176169",
                        "inventory_policy": "continue"
                      }
                    ],
                    "spu": "S000000001",
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:51:09+08:00",
                    "image": {
                      "alt": "My Product 20",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_scope": "web",
                    "tags": "Spring,T shirt",
                    "options": [
                      {
                        "id": "16160878906569901176493144",
                        "name": "Color",
                        "product_id": "16060878906566210188893144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "product_behavior": "",
                    "subtitle": "This is a subtitle",
                    "title": "My Product 20",
                    "vendor": "Shopline",
                    "status": "active",
                    "handle": "my-product-20",
                    "id": "16060878906566210188893144",
                    "images": [
                      {
                        "alt": "My Product 20",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                      }
                    ],
                    "published_at": "2023-08-28T11:51:09+08:00"
                  },
                  {
                    "spu": "S000000001",
                    "subtitle": "This is a subtitle",
                    "updated_at": "2023-08-28T12:46:37+08:00",
                    "variants": [
                      {
                        "inventory_policy": "continue",
                        "inventory_tracker": true,
                        "position": 1,
                        "required_shipping": true,
                        "title": "L · White",
                        "inventory_quantity": 580,
                        "option2": "White",
                        "product_id": "16060879464944338685503144",
                        "taxable": true,
                        "weight": "10.00",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087946495557900202",
                        "option1": "L",
                        "sku": "S00000000101",
                        "barcode": "T00000001",
                        "id": "18060879464948700761723144",
                        "price": "100.00",
                        "weight_unit": "g"
                      },
                      {
                        "required_shipping": true,
                        "option2": "White",
                        "weight": "50.00",
                        "inventory_quantity": 100,
                        "option1": "XL",
                        "position": 2,
                        "sku": "S00000000102",
                        "title": "XL · White",
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087946495557900201",
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "price": "100.00",
                        "product_id": "16060879464944338685503144",
                        "id": "18060879464948700761813144",
                        "taxable": true
                      },
                      {
                        "compare_at_price": "120.00",
                        "option2": "White",
                        "position": 3,
                        "price": "100.00",
                        "product_id": "16060879464944338685503144",
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "inventory_quantity": 170,
                        "inventory_tracker": true,
                        "sku": "S00000000103",
                        "required_shipping": true,
                        "id": "18060879464948700761873144",
                        "inventory_policy": "deny",
                        "option1": "XXL",
                        "taxable": true,
                        "inventory_item_id": "6087946495557900203",
                        "title": "XXL · White",
                        "weight": "50.00"
                      }
                    ],
                    "vendor": "Shopline",
                    "body_html": "<p>This is a desription</p>",
                    "options": [
                      {
                        "id": "16160879464948700761743144",
                        "name": "Size",
                        "product_id": "16060879464944338685503144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "product_id": "16060879464944338685503144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160879464948700761773144",
                        "name": "Color"
                      }
                    ],
                    "product_behavior": "",
                    "status": "active",
                    "created_at": "2023-08-28T12:46:37+08:00",
                    "handle": "my-product-24",
                    "published_scope": "web",
                    "title": "My Product 24",
                    "id": "16060879464944338685503144",
                    "tags": "Spring,T shirt",
                    "template_path": "templates/products/detail.html",
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T12:46:37+08:00"
                  },
                  {
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T11:51:57+08:00",
                    "created_at": "2023-08-28T11:51:57+08:00",
                    "spu": "S000000001",
                    "status": "active",
                    "subtitle": "This is a subtitle",
                    "body_html": "<p>This is a desription</p>",
                    "handle": "my-product-22",
                    "id": "16060878914758692511253144",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [
                      {
                        "id": "16160878914761712410213144",
                        "name": "Size",
                        "product_id": "16060878914758692511253144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "id": "16160878914761712410243144",
                        "name": "Color",
                        "product_id": "16060878914758692511253144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "option1": "L",
                        "product_id": "16060878914758692511253144",
                        "sku": "S00000000101",
                        "taxable": true,
                        "barcode": "T00000001",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_policy": "continue",
                        "inventory_quantity": 580,
                        "option2": "White",
                        "price": "100.00",
                        "title": "L · White",
                        "id": "18060878914761712410193144",
                        "position": 1,
                        "weight": "10.00",
                        "weight_unit": "g",
                        "required_shipping": true,
                        "inventory_item_id": "6087891476909399065",
                        "inventory_tracker": true
                      },
                      {
                        "position": 2,
                        "taxable": true,
                        "weight": "50.00",
                        "id": "18060878914761712410283144",
                        "inventory_item_id": "6087891476926176283",
                        "inventory_quantity": 100,
                        "price": "100.00",
                        "product_id": "16060878914758692511253144",
                        "sku": "S00000000102",
                        "title": "XL · White",
                        "barcode": "B0000000001",
                        "compare_at_price": "120.00",
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option1": "XL",
                        "option2": "White",
                        "weight_unit": "g"
                      },
                      {
                        "id": "18060878914761712410343144",
                        "inventory_item_id": "6087891476926176282",
                        "inventory_policy": "deny",
                        "inventory_quantity": 170,
                        "option1": "XXL",
                        "option2": "White",
                        "required_shipping": true,
                        "sku": "S00000000103",
                        "compare_at_price": "120.00",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_tracker": true,
                        "position": 3,
                        "price": "100.00",
                        "taxable": true,
                        "weight": "50.00",
                        "title": "XXL · White",
                        "barcode": "B0000000001",
                        "product_id": "16060878914758692511253144",
                        "weight_unit": "g"
                      }
                    ],
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "product_behavior": "",
                    "published_scope": "web",
                    "tags": "Spring,T shirt",
                    "title": "My Product 22",
                    "updated_at": "2023-08-28T19:24:56+08:00",
                    "vendor": "Shopline"
                  },
                  {
                    "options": [
                      {
                        "id": "16160878908677958259643144",
                        "name": "Size",
                        "product_id": "16060878908674770588483144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {}
                      },
                      {
                        "id": "16160878908677958259673144",
                        "name": "Color",
                        "product_id": "16060878908674770588483144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "published_scope": "web",
                    "subtitle": "This is a subtitle",
                    "updated_at": "2023-08-28T19:24:38+08:00",
                    "variants": [
                      {
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "option1": "L",
                        "position": 1,
                        "price": "100.00",
                        "id": "18060878908677958259623144",
                        "product_id": "16060878908674770588483144",
                        "taxable": true,
                        "weight": "10.00",
                        "compare_at_price": "120.00",
                        "option2": "White",
                        "required_shipping": true,
                        "weight_unit": "g",
                        "inventory_policy": "continue",
                        "sku": "S00000000101",
                        "title": "L · White",
                        "barcode": "T00000001",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_item_id": "6087890868584345153"
                      },
                      {
                        "barcode": "B0000000001",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "option1": "XL",
                        "option2": "White",
                        "position": 2,
                        "product_id": "16060878908674770588483144",
                        "id": "18060878908677958259713144",
                        "inventory_policy": "deny",
                        "inventory_quantity": 100,
                        "price": "100.00",
                        "sku": "S00000000102",
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "taxable": true,
                        "title": "XL · White",
                        "weight": "50.00",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087890868584345151",
                        "weight_unit": "g"
                      },
                      {
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "option2": "White",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "position": 3,
                        "price": "100.00",
                        "product_id": "16060878908674770588483144",
                        "title": "XXL · White",
                        "id": "18060878908678126031933144",
                        "inventory_item_id": "6087890868584345152",
                        "required_shipping": true,
                        "sku": "S00000000103",
                        "weight": "50.00",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "inventory_quantity": 170,
                        "option1": "XXL",
                        "taxable": true,
                        "barcode": "B0000000001"
                      }
                    ],
                    "created_at": "2023-08-28T11:51:21+08:00",
                    "id": "16060878908674770588483144",
                    "tags": "Spring,T shirt",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "spu": "S000000001",
                    "template_path": "templates/products/detail.html",
                    "title": "My Product 21",
                    "vendor": "Shopline",
                    "status": "active",
                    "body_html": "<p>This is a desription</p>",
                    "handle": "my-product-21",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T11:51:21+08:00"
                  },
                  {
                    "published_scope": "web",
                    "spu": "S000000001",
                    "template_path": "templates/products/detail.html",
                    "variants": [
                      {
                        "barcode": "T00000001",
                        "compare_at_price": "120.00",
                        "id": "18060878902931594024673144",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "price": "100.00",
                        "sku": "S00000000101",
                        "weight_unit": "g",
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "required_shipping": true,
                        "weight": "10.00",
                        "inventory_policy": "continue",
                        "option1": "White",
                        "product_id": "16060878902926560859813144",
                        "title": "White",
                        "inventory_item_id": "6087890295139080241",
                        "position": 1,
                        "taxable": true
                      }
                    ],
                    "vendor": "Shopline",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [
                      {
                        "id": "16160878902931594024693144",
                        "name": "Color",
                        "product_id": "16060878902926560859813144",
                        "values": [
                          "White"
                        ],
                        "values_images": {}
                      }
                    ],
                    "status": "active",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "subtitle": "This is a subtitle",
                    "tags": "Spring,T shirt",
                    "updated_at": "2023-08-28T19:23:56+08:00",
                    "handle": "my-product-19",
                    "id": "16060878902926560859813144",
                    "product_behavior": "",
                    "published_at": "2023-08-28T11:50:47+08:00",
                    "title": "My Product 19",
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:50:47+08:00",
                    "product_type": "NORMAL"
                  },
                  {
                    "vendor": "Shopline",
                    "id": "16060878900384309254383144",
                    "options": [],
                    "subtitle": "This is a subtitle",
                    "template_path": "templates/products/detail.html",
                    "created_at": "2023-08-28T11:50:32+08:00",
                    "images": [
                      {
                        "alt": "My Product 17",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "published_scope": "web",
                    "updated_at": "2023-08-28T11:50:32+08:00",
                    "variants": [
                      {
                        "inventory_policy": "deny",
                        "price": "100.00",
                        "required_shipping": true,
                        "weight": "50.00",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087890040041533931",
                        "inventory_quantity": 222,
                        "inventory_tracker": true,
                        "product_id": "16060878900384309254383144",
                        "sku": "T0000001",
                        "barcode": "B0000001",
                        "position": 1,
                        "taxable": true,
                        "id": "18060878900387832469803144"
                      }
                    ],
                    "body_html": "<p>This is a desription</p>",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "My Product 17"
                    },
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T11:50:32+08:00",
                    "spu": "S0000001",
                    "tags": "T shirt",
                    "title": "My Product 18",
                    "handle": "my-product-18",
                    "product_behavior": "",
                    "status": "active"
                  },
                  {
                    "handle": "my-product-17",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "My Product 17"
                    },
                    "product_behavior": "",
                    "status": "draft",
                    "template_path": "templates/products/detail.html",
                    "product_type": "NORMAL",
                    "published_at": "2023-08-28T11:49:48+08:00",
                    "published_scope": "web",
                    "updated_at": "2023-08-28T11:49:48+08:00",
                    "vendor": "Shopline",
                    "body_html": "<p>This is a desription</p>",
                    "spu": "S0000001",
                    "subtitle": "This is a subtitle",
                    "variants": [
                      {
                        "compare_at_price": "120.00",
                        "inventory_quantity": 222,
                        "price": "100.00",
                        "product_id": "16060878893067429883503144",
                        "inventory_policy": "deny",
                        "inventory_tracker": true,
                        "sku": "T0000001",
                        "taxable": true,
                        "weight_unit": "g",
                        "id": "18060878893070953099003144",
                        "position": 1,
                        "weight": "50.00",
                        "barcode": "B0000001",
                        "inventory_item_id": "6087889308152263615",
                        "required_shipping": true
                      }
                    ],
                    "created_at": "2023-08-28T11:49:48+08:00",
                    "id": "16060878893067429883503144",
                    "images": [
                      {
                        "alt": "My Product 17",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "options": [],
                    "tags": "T shirt",
                    "title": "My Product 17"
                  },
                  {
                    "vendor": "Shopline",
                    "body_html": "<p>This is a desription</p>",
                    "created_at": "2023-08-28T11:46:30+08:00",
                    "handle": "my-product-16",
                    "image": {
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024",
                      "alt": "This is a alt"
                    },
                    "id": "16060878859910114569133144",
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "published_at": "2023-08-28T11:46:31+08:00",
                    "subtitle": "This is a subtitle",
                    "tags": "Spring,T shirt",
                    "template_path": "templates/products/detail.html",
                    "updated_at": "2023-08-28T19:23:28+08:00",
                    "variants": [
                      {
                        "required_shipping": true,
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "position": 1,
                        "product_id": "16060878859910114569133144",
                        "id": "18060878859913134468073144",
                        "inventory_policy": "continue",
                        "price": "100.00",
                        "sku": "S00000000101",
                        "weight": "10.00",
                        "weight_unit": "g",
                        "barcode": "T00000001",
                        "inventory_item_id": "6087885992420710729",
                        "option1": "White",
                        "taxable": true,
                        "title": "White",
                        "compare_at_price": "120.00"
                      }
                    ],
                    "spu": "S000000001",
                    "status": "active",
                    "title": "My Product 16",
                    "options": [
                      {
                        "product_id": "16060878859910114569133144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878859913134468093144",
                        "name": "Color"
                      }
                    ],
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "published_scope": "web"
                  },
                  {
                    "created_at": "2023-08-28T11:45:53+08:00",
                    "id": "16060878853599197112313144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    },
                    "images": [
                      {
                        "alt": "This is a alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      }
                    ],
                    "status": "active",
                    "variants": [
                      {
                        "sku": "S00000000101",
                        "title": "L · White",
                        "weight_unit": "g",
                        "compare_at_price": "120.00",
                        "inventory_policy": "continue",
                        "option2": "White",
                        "position": 1,
                        "taxable": true,
                        "option1": "L",
                        "price": "100.00",
                        "required_shipping": true,
                        "weight": "10.00",
                        "inventory_item_id": "6087885361949712083",
                        "inventory_quantity": 580,
                        "inventory_tracker": true,
                        "barcode": "T00000001",
                        "id": "18060878853605069127743144",
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "product_id": "16060878853599197112313144"
                      },
                      {
                        "inventory_quantity": 100,
                        "option2": "White",
                        "title": "XL · White",
                        "weight": "50.00",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087885361949712081",
                        "inventory_policy": "deny",
                        "option1": "XL",
                        "required_shipping": true,
                        "sku": "S00000000102",
                        "weight_unit": "g",
                        "barcode": "B0000000001",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "position": 2,
                        "id": "18060878853605069127833144",
                        "inventory_tracker": true,
                        "price": "100.00",
                        "product_id": "16060878853599197112313144",
                        "taxable": true
                      },
                      {
                        "required_shipping": true,
                        "barcode": "B0000000001",
                        "id": "18060878853605069127893144",
                        "inventory_policy": "deny",
                        "option1": "XXL",
                        "option2": "White",
                        "weight": "50.00",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "sku": "S00000000103",
                        "title": "XXL · White",
                        "weight_unit": "g",
                        "inventory_item_id": "6087885361949712082",
                        "price": "100.00",
                        "product_id": "16060878853599197112313144",
                        "taxable": true,
                        "compare_at_price": "120.00",
                        "inventory_quantity": 170,
                        "inventory_tracker": true,
                        "position": 3
                      }
                    ],
                    "body_html": "<p>This is a desription</p>",
                    "published_at": "2023-08-28T11:45:53+08:00",
                    "subtitle": "This is a subtitle",
                    "vendor": "Shopline",
                    "handle": "my-product-15",
                    "product_behavior": "",
                    "product_type": "NORMAL",
                    "published_scope": "web",
                    "tags": "Spring,T shirt",
                    "template_path": "templates/products/detail.html",
                    "options": [
                      {
                        "name": "Size",
                        "product_id": "16060878853599197112313144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {},
                        "id": "16160878853605069127763144"
                      },
                      {
                        "product_id": "16060878853599197112313144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878853605069127793144",
                        "name": "Color"
                      }
                    ],
                    "spu": "S000000001",
                    "title": "My Product 15",
                    "updated_at": "2023-08-28T19:19:05+08:00"
                  },
                  {
                    "body_html": "<p>This is a desription</p>",
                    "id": "16060878844217209993043144",
                    "options": [
                      {
                        "product_id": "16060878844217209993043144",
                        "values": [
                          "L",
                          "XL",
                          "XXL"
                        ],
                        "values_images": {},
                        "id": "16160878844220900980643144",
                        "name": "Size"
                      },
                      {
                        "product_id": "16060878844217209993043144",
                        "values": [
                          "White"
                        ],
                        "values_images": {},
                        "id": "16160878844220900980673144",
                        "name": "Color"
                      }
                    ],
                    "product_type": "NORMAL",
                    "status": "active",
                    "subtitle": "This is a subtitle",
                    "title": "My Product 12",
                    "published_at": "2023-08-28T11:44:57+08:00",
                    "published_scope": "web",
                    "spu": "S000000001",
                    "variants": [
                      {
                        "image": {
                          "alt": "This is a alt",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                        },
                        "position": 1,
                        "weight": "10.00",
                        "id": "18060878844220900980623144",
                        "inventory_quantity": 580,
                        "required_shipping": true,
                        "title": "L · White",
                        "barcode": "T00000001",
                        "compare_at_price": "120.00",
                        "inventory_item_id": "6087884423331583696",
                        "inventory_policy": "continue",
                        "inventory_tracker": true,
                        "option1": "L",
                        "option2": "White",
                        "price": "100.00",
                        "product_id": "16060878844217209993043144",
                        "sku": "S00000000101",
                        "taxable": true,
                        "weight_unit": "g"
                      },
                      {
                        "title": "XL · White",
                        "weight": "50.00",
                        "id": "18060878844220900980713144",
                        "image": {
                          "alt": "My Product-10",
                          "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
[...]
